MSGFMT(1)

NOME
msgfmt - compila catálogo de mensagens para formato binário

SINOPSE
msgfmt [OPÇÃO] arquivo.po ...

DESCRIÇÃO

Gera catálogo de mensagens binário a partir da descrição de tradução textual.

Argumentos obrigatórios para opções longas também são para as curtas. De mesma forma para argumentos opcionais.

  Local de arquivo de entrada:

arquivo.po ...
    arquivos de entrada

-D, --directory=DIRETÓRIO
    adiciona DIRETÓRIO à lista de arquivos de entrada para pesquisar

Se o arquivo de entrada for -, a entrada padrão é lida.

  Modo de operação:

-j, --java
    modo Java, gera uma classe ResourceBundle de Java

--java2
    semelhante a --java, e presume Java2 (JDK 1.2 ou mais novo)

--csharp
    modo C#: gera um arquivo .dll de .NET

--csharp-resources
    modo recursos C#: gera um arquivo .resources de .NET

--tcl
    modo Tcl: gera um arquivo .msg de tcl/msgcat

--qt
    modo Qt: gera um arquivo .qm de Qt

--desktop
    modo Desktop Entry: gera um arquivo .desktop

--xml
    modo XML: gera arquivo XML

  Local do arquivo de saída:

-o, --output-file=ARQUIVO
    escreve a saída para o arquivo especificado

--strict
    habilita o modo Uniforme estrito

Se o arquivo de saída for -, a saída é escrita para a saída padrão.

  Local do arquivo de saída no modo Java:

-r, --resource=RECURSO
    nome do recurso

-l, --locale=LOCALIDADE
    nome da localidade, que pode ser idioma ou idioma_PAÍS

--source
    produz um arquivo .java, em vez de um arquivo .class

-d DIRETÓRIO
    diretório base de hierarquia de diretório de classes

O nome da classe é determinado anexando o nome da localidade ao nome do recurso, separados por um sublinhado. A opção -d é obrigatória. A classe é escrita no diretório especificado.

  Local do arquivo de saída no modo C#:

-r, --resource=RECURSO
    nome do recurso

-l, --locale=LOCALIDADE
    nome da localidade, que pode ser idioma ou idioma_PAÍS

-d DIRETÓRIO
    diretório base para arquivos .dll dependentes da localidade

As opções -l e -d são obrigatórias. O arquivo .dll é escrito em um subdiretório do diretório especificado, cujo nome depende da localidade.

  Local de arquivo de saída no modo Tcl:

-l, --locale=LOCALIDADE
    nome da localidade, que pode ser idioma ou idioma_PAÍS

-d DIRETÓRIO
    diretório base de catálogos de message .msg

As opções -l e -d são obrigatórias. O arquivo .msg é escrito no diretório especificado.

  Opções do modo Desktop Entry:

-l, --locale=LOCALIDADE
    nome da localidade, que pode ser idioma ou idioma_PAÍS

-o, --output-file=ARQUIVO
    escreve a saída para o arquivo especificado

--template=MODELO
    um arquivo .desktop usado como modelo

-d DIRETÓRIO
    diretório base de arquivos .po

-kPALAVRA, --keyword=PALAVRA
    procura por PALAVA como uma palavra-chave adicional

-k, --keyword
    não usa palavras-chaves padrão

As opções -l, -o e --template são obrigatórias. Se -D for especificada, os arquivos de entrada serão lidos do diretório em vez dos argumentos da linha de comando.

  Opções do modo XML:

-l, --locale=LOCALIDADE
    nome da localidade, que pode ser idioma ou idioma_PAÍS

-L, --language=NOME
    reconhece a linguagem XML especificada

-o, --output-file=ARQUIVO
    escreve a saída para o arquivo especificado

--template=MODELO
    um arquivo XML usado como um modelo

-d DIRETÓRIO
    diretório base de arquivos .po

--replace-text
    gera XML com o texto traduzido substituindo o texto original, e não complementando o texto original

As opções -l, -o e --template são obrigatórias. Se -D for especificada, os arquivos de entrada serão lidos do diretório em vez dos argumentos da linha de comando.

  Sintaxe do arquivo de entrada:

-P, --properties-input
    arquivos de entrada estão na sintaxe de .properties do Java

--stringtable-input
    arquivos de entrada têm a sintaxe de .strings do NeXTstep/GNUstep

  Interpretação do arquivo de entrada:

-c, --check
    executa todas as verificações implícitas por --check-format, --check-header, --check-domain

--check-format
    verifica strings de formato dependente da linguagem

--check-header
    verifica a presença e o conteúdo de entrada do cabeçalho

--check-domain
    verifica se há conflitos entre as diretivas de domínio e a opção --output-file

-C, --check-compatibility
    verifica se o GNU msgfmt se comporta como o X/Open msgfmt

--check-accelerators[=CARACTERE]
    verifica a presença de aceleradores de teclado para itens do menu

-f, --use-fuzzy
    usa entradas aproximadas na saída

  Detalhes da saída:

--no-convert
    não converte as mensagens para codificação UTF-8

--no-redundancy
    não pré-expande as macros de diretiva de strings de formato ISO C 99 <inttypes.h>

-a, --alignment=NÚMERO
    alinha strings em NÚMERO bytes (padrão: 1)

--endianness=ORDEM-DE-BYTES
    escreve números de 32 bits na ordem de bytes fornecida ("big" ou "little", dependendo da plataforma)

--no-hash
    o arquivo binário não incluirá a tabela hash

  Saída informativa:

-h, --help
    mostra esta ajuda e sai

-V, --version
    informa a versão e sai

--statistics
    mostra estatísticas sobre traduções

-v, --verbose
    aumenta o nível de detalhamento

AUTOR
Escrito por Ulrich Drepper.

RELATANDO PROBLEMAS
Relate erros no rastreador em <https://savannah.gnu.org/projects/gettext> ou por e-mail para <bug-gettext@gnu.org>. Relate erros de tradução para <https://translationproject.org/team/pt_BR.html>

DIREITOS AUTORAIS
Copyright © 1995-2025 Free Software Foundation, Inc. Licença GPLv3+: GNU GPL versão 3 ou posterior <https://gnu.org/licenses/gpl.html>.
Este é um software livre: você é livre para alterá-lo e redistribuí-lo. NÃO HÁ QUALQUER GARANTIA, na máxima extensão permitida em lei.

VEJA TAMBÉM
A documentação completa do msgfmt é mantida como um manual Texinfo. Se os programas info e msgfmt estiverem adequadamente instalados em seu site, o comando

    info msgfmt

deve lhe dar acesso ao manual completo.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).